function check(prefix, value) {
	if (value) 
		console.log(prefix + " turned out to be TRUTHY.");
	else 
		console.log(prefix + " turned out to be FALSY.");
}

check("true", true);
check("false", false);
check("new Boolean(false)", new Boolean(false));

check("0", 0);
check("1", 1);
check("'something'", 'something');
check("''", '');

check("[1,2,3]", [1, 2, 3]);
check("[]", []);
check("{}", {});

// enough of that - falsy values are undefined, null, NaN, 0, "", false

// some other interesting things:

check("1 == '1'", 1 == '1');
check("new Array(4) == ',,,'", new Array(4) == ',,,');


check("1 === '1'", 1 === '1');
check("new Array(4) === ',,,'", new Array(4) === ',,,');
