var _ = require("underscore");

var model = {
	people: [
		{
		 	name: "Jim",
		 	age: 45
		},
		{
		 	name: "Sue",
		 	age: 31
		},
		{
		 	name: "Oliver",
		 	age: 27
		},
		{
		 	name: "Anna",
		 	age: 21
		}],
	ageLimit: 30,

	allPeople: function() {
		return this.people;
	},

	oldEnoughPeople: function() {
		var me = this;
		return _.filter(this.people, 
			function(p) {
			return p.age > me.ageLimit;
		});
	}
};

console.log("All people");
console.log(model.allPeople());

console.log("Only people over the age limit");
console.log(model.oldEnoughPeople());
